<?php if (!defined('ABSPATH')) die;

// wp_enqueue_script('pipdig-masonry', 'https://cdnjs.cloudflare.com/ajax/libs/masonry/4.2.1/masonry.pkgd.min.js', array(), null, false);

add_action('wp_footer', function() {
	?>
	<!--noptimize-->
	<script>
	jQuery(document).ready(function($) {
		
		var container = $(".pipdig_masonry");
		setTimeout(function() {
			container.masonry({
				itemSelector: ".pipdig_masonry_item",
			});
			container.css('opacity', '1');
		}, 700);
		setInterval(function() {
			container.masonry({
				itemSelector: ".pipdig_masonry_item",
			});
		}, 2500);
		
	});
	</script>
	<!--/noptimize-->
	<?php
}, 99999999);

add_filter('post_gallery', function($output, $attr) {
    
	if (is_feed()) {
		return '';
	}
	
    extract(shortcode_atts(array(
        'ids' => 'ids',
    ), $attr));
	
	$image_ids = explode(',', $ids);
	
	$total = count($image_ids);
	$item_class = '';
	
	if ($total == 4) {
		$item_class = 'pipdig_masonry_item_25';
	} else if ($total == 3) {
		$item_class = 'pipdig_masonry_item_33';
	} else if ($total > 7) {
		$item_class = 'pipdig_masonry_item_25';
	}
	
	$gallery = '<div class="pipdig_masonry">';
	
    foreach ($image_ids as $image_id) {
		$image_large_data = wp_get_attachment_image_src($image_id, 'large');
		$image_medium_data = wp_get_attachment_image_src($image_id, 'medium');
		if ($image_large_data && $image_medium_data) {
			$image_large = $image_large_data[0];
			$image_medium = $image_medium_data[0];
			$gallery .= '<div class="pipdig_masonry_item '.$item_class.'"><a href="'.$image_large.'"><img src="'.$image_medium.'" alt=""/></a></div>';
		}
	}
	
	$gallery .= '</div>';
	
	return $gallery;
	
}, 10, 2);

/*
.pipdig_masonry {
	opacity: 0;
	-moz-transition: all 0.6s ease; -webkit-transition: all 0.6s ease; transition: all 0.6s ease;
	line-height: 0;
}
.pipdig_masonry_item {
	width: 20%;
	margin: 0;
	position: relative;
}
.pipdig_masonry_item_25 {
	width: 25%;
}
.pipdig_masonry_item_33 {
	width: 33%;
}
.pipdig_masonry_item img {
	border: 2px solid #fff;
}

@media only screen and (max-width: 769px) {
	.pipdig_masonry_item, .pipdig_masonry_item_25, .pipdig_masonry_item_33 {
		width: 50%;
	}
}
*/